#!/bin/bash
#----------------------
# Testing nicira-plugin
#----------------------
set -e
apt-get -y install neutron-plugin-nicira

# update plugin path
sed -i 's/NEUTRON_PLUGIN_CONFIG\=.*/NEUTRON_PLUGIN_CONFIG\=\"\/etc\/neutron\/plugins\/nicira\/nvp\.ini\"/g' /etc/default/neutron-server
sed -i 's/core_plugin/core_plugin \= neutron\.plugins\.nicira\.NeutronPlugin\.NvpPluginV2/g' /etc/neutron/neutron.conf
service neutron-server restart  > /dev/null 2>&1
if pidof -x neutron-server > /dev/null; then
    apt-get -y remove --purge neutron-plugin-nicira
    echo "OK"
else
    echo "ERROR: NICIRA PLUGIN IS NOT RUNNING"
    apt-get -y remove --purge neutron-plugin-nicira
    exit 1
fi
